summaryrefslogtreecommitdiffstats
path: root/recipe/build.sh
diff options
context:
space:
mode:
authorEdoardo Pasca <edo.paskino@gmail.com>2019-12-06 17:37:35 +0000
committerGemma Fardell <47746591+gfardell@users.noreply.github.com>2019-12-06 17:37:35 +0000
commit3d3a0958fad475c6b0493ad85459e1c04ba4ba62 (patch)
tree53189dbb211ce7fbdaa6ee12e97d43e33e24d99c /recipe/build.sh
parent1cb06ae408e413890f21e0776bed785a1111377b (diff)
downloadframework-3d3a0958fad475c6b0493ad85459e1c04ba4ba62.tar.gz
framework-3d3a0958fad475c6b0493ad85459e1c04ba4ba62.tar.bz2
framework-3d3a0958fad475c6b0493ad85459e1c04ba4ba62.tar.xz
framework-3d3a0958fad475c6b0493ad85459e1c04ba4ba62.zip
C lib (#458)
C library implemented with optimised axpy fucntions and gradient operator in c
Diffstat (limited to 'recipe/build.sh')
-rw-r--r--recipe/build.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/recipe/build.sh b/recipe/build.sh
new file mode 100644
index 0000000..22cfae8
--- /dev/null
+++ b/recipe/build.sh
@@ -0,0 +1,24 @@
+if [ -z "$CIL_VERSION" ]; then
+ echo "Need to set CIL_VERSION"
+ exit 1
+fi
+# mkdir ${SRC_DIR}/ccpi
+mkdir -p ${SRC_DIR}/ccpi/Wrappers/Python
+cp -r "${RECIPE_DIR}/../Wrappers/Python/test" ${SRC_DIR}/ccpi/Wrappers/Python
+
+# cd ${SRC_DIR}/ccpi/Wrappers/Python
+# $PYTHON setup.py install
+
+
+mkdir ${SRC_DIR}/build_framework
+#cp -r "${RECIPE_DIR}/../" ${SRC_DIR}/build_framework
+
+cd ${SRC_DIR}/build_framework
+cmake ${RECIPE_DIR}/../ -DCONDA_BUILD=ON \
+ -DCMAKE_BUILD_TYPE="Release"\
+ -DLIBRARY_LIB=$CONDA_PREFIX/lib \
+ -DLIBRARY_INC=$CONDA_PREFIX \
+ -DCMAKE_INSTALL_PREFIX=$PREFIX
+
+make install
+# $PYTHON setup.py install